Subject: Re: [PATCH net 2/4] net: mvpp2: Remove unneeded Kconfig dependency.

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sat, 23 Jan 2021 09:39:53 +0000

On Fri, Jan 22, 2021 at 06:14:44PM -0800, Jakub Kicinski wrote:
> On Thu, 21 Jan 2021 07:08:02 -0800 Richard Cochran wrote:
> > On Thu, Jan 21, 2021 at 10:27:54AM +0000, Russell King - ARM Linux admin wrote:
> > > On Wed, Jan 20, 2021 at 08:06:01PM -0800, Richard Cochran wrote:  
> > > > The mvpp2 is an Ethernet driver, and it implements MAC style time
> > > > stamping of PTP frames.  It has no need of the expensive option to
> > > > enable PHY time stamping.  Remove the incorrect dependency.
> > > > 
> > > > Signed-off-by: Richard Cochran <[email-masked]>
> > > > Fixes: 91dd71950bd7 ("net: mvpp2: ptp: add TAI support")  
> > > 
> > > NAK.  
> > 
> > Can you please explain why mvpp2 requires NETWORK_PHY_TIMESTAMING?
> 
> Russell, I think we all agree now this is not the solution to the
> problem of which entity should provide the timestamp, but the series
> doesn't seem objectionable in itself.
> 
> Please LMK if you think otherwise.
> 
> (I would put it in net-next tho, given the above this at most a space
> optimization.)

Correct - my NAK is on the basis that this series was put forward
as solving the issue I had raised, but in reality it does little
to achieve that.

It is, as you say, just a space optimisation, and I have no issue
with it being merged on that basis.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!